GDB (xrefs)

Functions
selftests::lookup_name Namespace Reference

## Functions
static void | check_make_paramless (const char *file, int line, enum language lang, const char *name, const char *expected, bool completion_mode)
static void | run_tests ()

## Function Documentation

## ◆ check_make_paramless()

static void selftests::lookup_name::check_make_paramless | ( | const char * | file,
|  | int | line,
|  | enum language | lang,
|  | const char * | name,
|  | const char * | expected,
|  | bool | completion_mode
| ) |  |
| static

Definition at line 33 of file lookup_name_info-selftests.c.

References _, error(), FULL, lookup_name_info::language_lookup_name(), name, and string.

## ◆ run_tests()

static void selftests::lookup_name::run_tests | ( |  | ) |
| static

Definition at line 52 of file lookup_name_info-selftests.c.

References CHECK, language_ada, language_cplus, language_d, language_fortran, and language_go.

Referenced by _initialize_lookup_name_info_selftests().